For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all events
      • GETRetrieve an event
      • GETList all webhook endpoints
      • GETRetrieve a webhook endpoint
      • Working with webhooks
    • API Errors
Get access
LogoLogo
API ReferenceEvents and Webhooks

List all webhook endpoints

GET
/webhooks/endpoints
GET
/webhooks/endpoints
$curl https://test.api.kota.io/webhooks/endpoints \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "id": "whe_9f8b7c6d5a4e3f2b1c0d9e8f7a6b5c4d",
5 "endpoint_url": "https://hooks.example.com/webhook-receiver",
6 "subscribed_events": [
7 "order.created",
8 "order.updated",
9 "customer.deleted"
10 ],
11 "created_at": "2024-12-01T00:00:00Z",
12 "object": "webhook_endpoint"
13 }
14 ],
15 "page": 1,
16 "page_size": 10,
17 "total_count": 25,
18 "has_next_page": true,
19 "has_previous_page": false
20}
Get all registered webhook endpoints for the platform.
Previous

Retrieve an event

Next

Retrieve a webhook endpoint

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

400
Bad Request Error